using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wClub_Message_Delete2:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:27
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("删除消息提交","网站页面","删除消息提交",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();

		ID=Convert.ToInt32(Request.QueryString["ID"]);
		访问.验证会员();
		删除消息();
		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml"">
<wml>
<head>
<meta http-equiv=""Cache-Control"" content=""max-age=0"" />
</head>

<card title=""删除消息提交"">
<p>
");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"



删除消息成功<br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(Request.QueryString["rurl"]));
		返回值.Append(@""">返回消息列表</a><br/>


<a href=""Message.aspx?");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">返回我的消息</a><br/>
<a href=""User_Default.aspx?");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">返回个人中心</a><br/>


<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"club/page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回社区首页</a><br/>

<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a><br/>

");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"


</p>
</card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}

	private int ID;
	private void 删除消息()
	{
		Hashtable 消息=常用.SQL_获取(new SqlCommand("SELECT [用户ID],[目标用户ID],[已删除],[目标已删除] FROM ["+程序.数据表前缀+"社区_消息] WHERE [ID]="+ID,访问.连接));
		if(消息==null)
			throw new Exception("消息不存在");

		if(Convert.ToInt32(消息["用户ID"])!=Convert.ToInt32(访问.用户["ID"])&&Convert.ToInt32(消息["目标用户ID"])!=Convert.ToInt32(访问.用户["ID"]))
			throw new Exception("消息不存在");

		String SQL="";
		if(Convert.ToInt32(消息["用户ID"])==Convert.ToInt32(消息["目标用户ID"]))
			SQL="DELETE FROM ["+程序.数据表前缀+"社区_消息] WHERE [ID]="+ID;
		else if(Convert.ToInt32(消息["用户ID"])==Convert.ToInt32(访问.用户["ID"]))
		{
			if(Convert.ToBoolean(消息["目标已删除"]))
				SQL="DELETE FROM ["+程序.数据表前缀+"社区_消息] WHERE [ID]="+ID;
			else
				SQL="UPDATE ["+程序.数据表前缀+"社区_消息] SET [已删除]=1 WHERE [ID]="+ID;
		}
		else if(Convert.ToInt32(消息["目标用户ID"])==Convert.ToInt32(访问.用户["ID"]))
		{
			if(Convert.ToBoolean(消息["已删除"]))
				SQL="DELETE FROM ["+程序.数据表前缀+"社区_消息] WHERE [ID]="+ID;
			else
				SQL="UPDATE ["+程序.数据表前缀+"社区_消息] SET [目标已删除]=1 WHERE [ID]="+ID;
		}

		SqlCommand 语句=new SqlCommand(SQL,访问.连接);
		语句.ExecuteNonQuery();
	}
}